#!/bin/sh

wd="/tmp/IPCAM"

mkdir -p $wd
rm -f $wd/*

tar -czf $wd/config.tar -C ./ mnt/mtd --portability

echo "Calc checksum"
cp $wd/config.tar $wd/config.tmp
echo -n "IPCAM" >> $wd/config.tmp
md5sum $wd/config.tmp > $wd/config.md5

echo "Copy header from original config_backup.bin"
dd bs=1 count=512 if=./config_backup.bin of=./new_config.bin

echo "Insert data"
dd bs=1 seek=512 if=$wd/config.tar of=./new_config.bin

echo "Insert checksum"
dd bs=1 seek=228 count=32 if=$wd/config.md5 of=./new_config.bin conv=notrunc
